<?php
/**
 * This file maps Internet media types to unique file extension(s)
 *
 * Internet media types should be registered as described in RFC 4288.
 * @link   http://www.iana.org/assignments/media-types/
 */
return array(
	'123'   => array('application/vnd.lotus-1-2-3'),
	'323'   => array('text/h323'),
	'3dml'  => array('text/vnd.in3d.3dml'),
	'3ds'   => array('image/x-3ds'),
	'3g2'   => array('video/3gpp2'),
	'3gp'   => array('video/3gpp'),
	'7z'    => array('application/x-7z-compressed'),
	'aab'   => array('application/x-authorware-bin'),
	'aac'   => array('audio/x-aac'),
	'aam'   => array('application/x-authorware-map'),
	'aas'   => array('application/x-authorware-seg'),
	'abw'   => array('application/x-abiword'),
	'ac'    => array('application/pkix-attr-cert'),
	'acc'   => array('application/vnd.americandynamics.acc'),
	'ace'   => array('application/x-ace-compressed'),
	'acu'   => array('application/vnd.acucobol'),
	'acutc' => array('application/vnd.acucorp'),
	'acx'   => array('application/internet-property-stream'),
	'adp'   => array('audio/adpcm'),
	'aep'   => array('application/vnd.audiograph'),
	'afm'   => array('application/x-font-type1'),
	'afp'   => array('application/vnd.ibm.modcap'),
	'ahead' => array('application/vnd.ahead.space'),
	'ai'    => array('application/postscript'),
	'aif'   => array('audio/x-aiff'),
	'aifc'  => array('audio/x-aiff'),
	'aiff'  => array('audio/x-aiff'),
	'air'   => array('application/vnd.adobe.air-application-installer-package+zip'),
	'ait'   => array('application/vnd.dvb.ait'),
	'amf'   => array('application/x-amf'),
	'ami'   => array('application/vnd.amiga.ami'),
	'apk'   => array('application/vnd.android.package-archive'),
	'appcache'    => array('text/cache-manifest'),
	'application' => array('application/x-ms-application'),
	'apr'   => array('application/vnd.lotus-approach'),
	'arc'   => array('application/x-freearc'),
	'asc'   => array('application/pgp-signature'),
	'asf'   => array('video/x-ms-asf'),
	'asr'   => array('video/x-ms-asf'),
	'asx'   => array('video/x-ms-asf'),
	'atom'    => array('application/atom+xml'),
	'atomcat' => array('application/atomcat+xml'),
	'atomsvc' => array('application/atomsvc+xml'),
	'avi'   => array('video/avi', 'video/msvideo', 'video/x-msvideo'),
	'aw'    => array('application/applixware'),
	'bin'   => array('application/octet-stream','application/macbinary'),
	'bmp'   => array('image/bmp'),
	'bpk'   => array('application/octet-stream'),
	'c'     => array('text/x-csrc'),
	'c++'   => array('text/x-c++src'),
	'cab'   => array('application/x-cab'),
	'cc'    => array('text/x-c++src'),
	'ccxml' => array('application/ccxml+xml'),
	'cda'   => array('application/x-cdf'),
	'cdmia' => array('application/cdmi-capability'),
	'cdmic' => array('application/cdmi-container'),
	'cdmid' => array('application/cdmi-domain'),
	'cdmio' => array('application/cdmi-object'),
	'cdmiq' => array('application/cdmi-queue'),
	'cer'   => array('application/pkix-cert'),
	'class' => array('application/java-vm'),
	'cpp'   => array('text/x-c++src'),
	'cpt'   => array('application/mac-compactpro'),
	'crl'   => array('application/pkix-crl'),
	'csh'   => array('text/x-csh'),
	'css'   => array('text/css'),
	'csv'   => array('text/x-comma-separated-values', 'application/vnd.ms-excel', 'text/comma-separated-values', 'text/csv'),
	'cu'    => array('application/cu-seeme'),
	'cww'   => array('application/prs.cww'),
	'davmount' => array('application/davmount+xml'),
	'dbk'   => array('application/docbook+xml'),
	'dcr'   => array('application/x-director'),
	'deb'   => array('application/x-debian-package'),
	'deploy'=> array('application/octet-stream'),
	'diff'  => array('text/x-diff'),
	'dir'   => array('application/x-director'),
	'dist'  => array('application/octet-stream'),
	'distz' => array('application/octet-stream'),
	'divx'  => array('video/divx'),
	'dll'   => array('application/octet-stream', 'application/x-msdos-program'),
	'dmg'   => array('application/x-apple-diskimage'),
	'dms'   => array('application/octet-stream'),
	'doc'   => array('application/msword'),
	'docx'  => array('application/vnd.openxmlformats-officedocument.wordprocessingml.document'),
	'dot'   => array('application/msword'),
	'dssc'  => array('application/dssc+der'),
	'dump'  => array('application/octet-stream'),
	'dvi'   => array('application/x-dvi'),
	'dxr'   => array('application/x-director'),
	'ecma'  => array('application/ecmascript'),
	'elc'   => array('application/octet-stream'),
	'eml'   => array('message/rfc822'),
	'emma'  => array('application/emma+xml'),
	'eps'   => array('application/postscript'),
	'epub'  => array('application/epub+zip'),
	'evy'   => array('application/envoy'),
	'exe'   => array('application/x-msdos-program', 'application/octet-stream'),
	'exi'   => array('application/exi'),
	'ez'    => array('application/andrew-inset'),
	'fla'   => array('application/octet-stream'),
	'flac'  => array('application/x-flac'),
	'flc'   => array('video/flc'),
	'fli'   => array('video/fli'),
	'flv'   => array('video/x-flv'),
	'gbr'   => array('application/rpki-ghostbusters'),
	'gif'   => array('image/gif'),
	'gml'   => array('application/gml+xml'),
	'gpx'   => array('application/gpx+xml'),
	'gram'  => array('application/srgs'),
	'grxml' => array('application/srgs+xml'),
	'gtar'  => array('application/x-gtar'),
	'gxf'   => array('application/gxf'),
	'gz'    => array('application/x-gzip'),
	'h'     => array('text/x-chdr'),
	'h++'   => array('text/x-c++hdr'),
	'hh'    => array('text/x-c++hdr'),
	'hpp'   => array('text/x-c++hdr'),
	'hqx'   => array('application/mac-binhex40'),
	'hs'    => array('text/x-haskell'),
	'htm'   => array('text/html'),
	'html'  => array('text/html'),
	'ico'   => array('image/x-icon'),
	'ics'   => array('text/calendar'),
	'iii'   => array('application/x-iphone'),
	'ink'   => array('application/inkml+xml'),
	'inkml' => array('application/inkml+xml'),
	'ins'   => array('application/x-internet-signup'),
	'ipfix' => array('application/ipfix'),
	'iso'   => array('application/x-iso9660-image'),
	'isp'   => array('application/x-internet-signup'),
	'jar'   => array('application/java-archive'),
	'java'  => array('application/x-java-applet'),
	'jpe'   => array('image/jpeg', 'image/pjpeg'),
	'jpeg'  => array('image/jpeg', 'image/pjpeg'),
	'jpg'   => array('image/jpeg', 'image/pjpeg'),
	'js'    => array('application/javascript'),
	'json'  => array('application/json'),
	'jsonml'=> array('application/jsonml+json'),
	'latex' => array('application/x-latex'),
	'lha'   => array('application/octet-stream'),
	'log'   => array('text/plain', 'text/x-log'),
	'lostxml' => array('application/lost+xml'),
	'lrf'   => array('application/octet-stream'),
	'lzh'   => array('application/octet-stream'),
	'm21'   => array('application/mp21'),
	'm4a'   => array('audio/mpeg'),
	'm4p'   => array('video/mp4v-es'),
	'm4v'   => array('video/mp4'),
	'ma'    => array('application/mathematica'),
	'mads'  => array('application/mads+xml'),
	'man'   => array('application/x-troff-man'),
	'mar'   => array('application/octet-stream'),
	'mathml'=> array('application/mathml+xml'),
	'mb'    => array('application/mathematica'),
	'mbox'  => array('application/mbox'),
	'mdb'   => array('application/x-msaccess'),
	'meta4' => array('application/metalink4+xml'),
	'metalink' => array('application/metalink+xml'),
	'mets'  => array('application/mets+xml'),
	'mft'   => array('application/rpki-manifest'),
	'mid'   => array('audio/midi'),
	'midi'  => array('audio/midi'),
	'mif'   => array('application/vnd.mif'),
	'mka'   => array('audio/x-matroska'),
	'mkv'   => array('video/x-matroska'),
	'mods'  => array('application/mods+xml'),
	'mov'   => array('video/quicktime'),
	'movie' => array('video/x-sgi-movie'),
	'mp2'   => array('audio/mpeg'),
	'mp21'  => array('application/mp21'),
	'mp3'   => array('audio/mpeg'),
	'mp4'   => array('application/mp4','audio/mp4','video/mp4'),
	'mp4s'  => array('application/mp4'),
	'mpa'   => array('video/mpeg'),
	'mpe'   => array('video/mpeg'),
	'mpeg'  => array('video/mpeg'),
	'mpg'   => array('video/mpeg'),
	'mpg4'  => array('video/mp4'),
	'mpga'  => array('audio/mpeg'),
	'mpp'   => array('application/vnd.ms-project'),
	'mpv'   => array('video/x-matroska'),
	'mpv2'  => array('video/mpeg'),
	'mrc'   => array('application/marc'),
	'mrcx'  => array('application/marcxml+xml'),
	'ms'    => array('application/x-troff-ms'),
	'mscml' => array('application/mediaservercontrol+xml'),
	'msg'   => array('application/msoutlook','application/x-msg'),
	'msi'   => array('application/x-msi'),
	'mxf'   => array('application/mxf'),
	'nb'    => array('application/mathematica'),
	'nws'   => array('message/rfc822'),
	'oda'   => array('application/oda'),
	'odb'   => array('application/vnd.oasis.opendocument.database'),
	'odc'   => array('application/vnd.oasis.opendocument.chart'),
	'odf'   => array('application/vnd.oasis.opendocument.forumla'),
	'odg'   => array('application/vnd.oasis.opendocument.graphics'),
	'odi'   => array('application/vnd.oasis.opendocument.image'),
	'odm'   => array('application/vnd.oasis.opendocument.text-master'),
	'odp'   => array('application/vnd.oasis.opendocument.presentation'),
	'ods'   => array('application/vnd.oasis.opendocument.spreadsheet'),
	'odt'   => array('application/vnd.oasis.opendocument.text'),
	'oga'   => array('audio/ogg'),
	'ogg'   => array('application/ogg'),
	'ogv'   => array('video/ogg'),
	'ogx'   => array('application/ogg'),
	'omdoc' => array('application/omdoc+xml'),
	'onepkg'  => array('application/onenote'),
	'onetmp'  => array('application/onenote'),
	'onetoc'  => array('application/onenote'),
	'onetoc2' => array('application/onenote'),
	'opf'   => array('application/oebps-package+xml'),
	'otg'   => array('application/vnd.oasis.opendocument.graphics-template'),
	'oth'   => array('application/vnd.oasis.opendocument.web'),
	'otp'   => array('application/vnd.oasis.opendocument.presentation-template'),
	'ots'   => array('application/vnd.oasis.opendocument.spreadsheet-template'),
	'ott'   => array('application/vnd.oasis.opendocument.template'),
	'oxps'  => array('application/oxps'),
	'p'     => array('text/x-pascal'),
	'p10'   => array('application/pkcs10'),
	'p7c'   => array('application/pkcs10'),
	'p7m'   => array('application/pkcs10'),
	'p7s'   => array('application/pkcs7-signature'),
	'p8'    => array('application/pkcs8'),
	'pas'   => array('text/x-pascal'),
	'patch' => array('text/x-diff'),
	'pbm'   => array('image/x-portable-bitmap'),
	'pdf'   => array('application/pdf', 'application/x-download'),
	'pfr'   => array('application/font-tdpfr'),
	'pgp'   => array('application/pgp-encrypted'),
	'php'   => array('application/x-httpd-php'),
	'php3'  => array('application/x-httpd-php'),
	'php4'  => array('application/x-httpd-php'),
	'php5'  => array('application/x-httpd-php'),
	'phps'  => array('application/x-httpd-php-source'),
	'phtml' => array('application/x-httpd-php'),
	'pkg'   => array('application/octet-stream'),
	'pki'   => array('application/pkixcmp'),
	'pkipath' => array('application/pkix-pkipath'),
	'pl'    => array('text/x-perl'),
	'pls'   => array('application/pls+xml'),
	'pm'    => array('text/x-perl'),
	'png'   => array('image/png', 'image/x-png'),
	'po'    => array('text/x-gettext-translation'),
	'pot'   => array('application/vnd.ms-powerpoint'),
	'pps'   => array('application/vnd.ms-powerpoint'),
	'ppt'   => array('application/powerpoint'),
	'pptx'  => array('application/vnd.openxmlformats-officedocument.presentationml.presentation'),
	'prf'   => array('application/pics-rules'),
	'ps'    => array('application/postscript'),
	'psd'   => array('application/x-photoshop', 'image/x-photoshop'),
	'pskcxml' => array('application/pskc+xml'),
	'pub'   => array('application/x-mspublisher'),
	'py'    => array('text/x-python'),
	'qt'    => array('video/quicktime'),
	'ra'    => array('audio/x-realaudio'),
	'ram'   => array('audio/x-realaudio', 'audio/x-pn-realaudio'),
	'rar'   => array('application/rar'),
	'rdf'   => array('application/rdf+xml'),
	'rgb'   => array('image/x-rgb'),
	'rif'   => array('application/reginfo+xml'),
	'rl'    => array('application/resource-lists+xml'),
	'rld'   => array('application/resource-lists-diff+xml'),
	'rm'    => array('audio/x-pn-realaudio'),
	'rnc'   => array('application/relax-ng-compact-syntax'),
	'roa'   => array('application/rpki-roa'),
	'rpm'   => array('audio/x-pn-realaudio-plugin', 'application/x-redhat-package-manager'),
	'rq'    => array('application/sparql-query'),
	'rs'    => array('application/rls-services+xml'),
	'rsd'   => array('application/rsd+xml'),
	'rss'   => array('application/rss+xml'),
	'rtf'   => array('application/rtf'),
	'rtx'   => array('text/richtext'),
	'rv'    => array('video/vnd.rn-realvideo'),
	'sbml'  => array('application/sbml+xml'),
	'scq'   => array('application/scvp-cv-request'),
	'scs'   => array('application/scvp-cv-response'),
	'sdp'   => array('application/sdp'),
	'sea'   => array('application/octet-stream'),
	'ser'   => array('application/java-serialized-object'),
	'setpay' => array('application/set-payment-initiation'),
	'setreg' => array('application/set-registration-initiation'),
	'sh'    => array('text/x-sh'),
	'shf'   => array('application/shf+xml'),
	'shtml' => array('text/html'),
	'sig'   => array('application/pgp-signature'),
	'sit'   => array('application/x-stuffit'),
	'smi'   => array('application/smil+xml'),
	'smil'  => array('application/smil+xml'),
	'so'    => array('application/octet-stream'),
	'spp'   => array('application/scvp-vp-response'),
	'spq'   => array('application/scvp-vp-request'),
	'src'   => array('application/x-wais-source'),
	'sru'   => array('application/sru+xml'),
	'srx'   => array('application/sparql-results+xml'),
	'stk'   => array('application/hyperstudio'),
	'svg'   => array('image/svg+xml'),
	'swf'   => array('application/x-shockwave-flash'),
	't'     => array('application/x-troff'),
	'tar'   => array('application/x-tar'),
	'tcl'   => array('text/x-tcl'),
	'tex'   => array('application/x-tex'),
	'text'  => array('text/plain'),
	'texti' => array('application/x-texinfo'),
	'textinfo' => array('application/x-texinfo'),
	'tgz'   => array('application/x-tar'),
	'tif'   => array('image/tiff'),
	'tiff'  => array('image/tiff'),
	'torrent' => array('application/x-bittorrent'),
	'tr'    => array('application/x-troff'),
	'tsv'   => array('text/tab-separated-values'),
	'txt'   => array('text/plain'),
	'wav'   => array('audio/x-wav'),
	'wax'   => array('audio/x-ms-wax'),
	'wbxml' => array('application/wbxml'),
	'webm'  => array('video/webm'),
	'wm'    => array('video/x-ms-wm'),
	'wma'   => array('audio/x-ms-wma'),
	'wmd'   => array('application/x-ms-wmd'),
	'wmlc'  => array('application/wmlc'),
	'wmv'   => array('video/x-ms-wmv', 'application/octet-stream'),
	'wmx'   => array('video/x-ms-wmx'),
	'wmz'   => array('application/x-ms-wmz'),
	'word'  => array('application/msword', 'application/octet-stream'),
	'wp5'   => array('application/wordperfect5.1'),
	'wpd'   => array('application/vnd.wordperfect'),
	'wvx'   => array('video/x-ms-wvx'),
	'xbm'   => array('image/x-xbitmap'),
	'xcf'   => array('image/xcf'),
	'xdssc' => array('application/dssc+xml'),
	'xer'   => array('application/patch-ops-error+xml'),
	'xht'   => array('application/xhtml+xml'),
	'xhtml' => array('application/xhtml+xml'),
	'xl'    => array('application/excel', 'application/vnd.ms-excel'),
	'xla'   => array('application/excel', 'application/vnd.ms-excel'),
	'xlc'   => array('application/excel', 'application/vnd.ms-excel'),
	'xlm'   => array('application/excel', 'application/vnd.ms-excel'),
	'xls'   => array('application/excel', 'application/vnd.ms-excel'),
	'xlsx'  => array('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'),
	'xlt'   => array('application/excel', 'application/vnd.ms-excel'),
	'xml'   => array('text/xml', 'application/xml'),
	'xof'   => array('x-world/x-vrml'),
	'xpm'   => array('image/x-xpixmap'),
	'xsl'   => array('text/xml'),
	'xvid'  => array('video/x-xvid'),
	'xwd'   => array('image/x-xwindowdump'),
	'z'     => array('application/x-compress'),
	'zip'   => array('application/x-zip', 'application/zip', 'application/x-zip-compressed')
);